{% extends "cars/base.html" %}

{% block main %}
	<div class="row">
		<div class="small-12 column">
			<h3>Cars</h3>
		</div>
	</div>
	<div class="row">
		<div class="small-12 column">
			<ul class="accordion" data-accordion data-allow-all-closed="true">
  				<li class="accordion-item" data-accordion-item>
    				<a href="#" class="accordion-title">Add new car</a>
    				<div id="new_car_form" class="accordion-content" data-tab-content>
						<form id="form_new_car" novalidate action="{% url 'car_list' %}" method="post">
							{% csrf_token %}
							{{ new_car_form }}
							<div class="button-group">
								<input class="button primary" type="submit" value="Save">
								<a id="btn_cancel" class="button secondary">Cancel</a>
							</div>
    					</form>
					</div>
				</li>
				<li class="accordion-item" data-accordion-item>
    				<a href="#" class="accordion-title">Filter</a>
    				<div id="filter_form" class="accordion-content" data-tab-content>
						<form id="form_filter" novalidate action="" method="get">
							<label>Search cars:
								<input name="q" type="text" value={{query}}>
							</label>
							<div class="button-group">
								<input class="button primary" type="submit"  value="Search">
								<a href="{% url 'car_list' %}" class="button secondary">Clear</a>
							</div>
    					</form>
					</div>
				</li>
			</ul>
	</div>

	<div class="row">
		<div class="small-12 column">
			<ul class="pagination text-center" role="navigation" aria-label="Pagination">
				{% if cars.has_previous %}
					<li class="pagination-previous"><a href="?page={{ cars.previous_page_number }}&q={{query}}">Previous</a></li>
				{% else %}
					<li class="pagination-previous disabled">Previous</li>
				{% endif %}
				{% if cars.has_next %}
					<li class="pagination-next"><a href="?page={{ cars.next_page_number }}&q={{query}}">Next</a></li>
				{% else %}
					<li class="pagination-next disabled">Next</li>
				{% endif %}
			</ul>
		</div>
	</div>
	<div class="row">
		<div class="small-12 column">
			<ul>
				{% for car in cars %}
					<li>
						<a href="{% url 'car_details' car_id=car.id %}">{{ car.title }}</a>
					</li>
				{% endfor %}
			</ul>
		</div>
	</div>	


{% endblock %}

{% block script %}
<script>
	$('#btn_cancel').click(function (){
		$('.accordion').foundation('toggle', $('#new_car_form'));
		
		$('#form_new_car :input[type=text]').each(function(){
			$(this).val('');
		});
		$('#form_new_car :input[type=url]').each(function(){
			$(this).val('');
		});
		$('#form_new_car :input[type=number]').each(function(){
			$(this).val('');
		});
	});
</script>
{% endblock%}
